Subject: Re: bug#21796: 25.0.50; exiting ediff can leave Emacs unresponsive to keyboard input

From: Sean McAfee <[email-masked]>
Date: Mon, 16 Nov 2015 13:48:39 -0800

Eli Zaretskii <[email-masked]> writes:
>> Here's the C backtrace:
>> 
>> (gdb) bt
>> #0  0x00007f15b2756e79 in __pselect (nfds=nfds@entry=14, 
>>     readfds=readfds@entry=0x7ffe77cde630, 
>>     writefds=writefds@entry=0x7ffe77cde6b0, exceptfds=exceptfds@entry=0x0, 
>>     timeout=<optimized out>, timeout@entry=0x7ffe77cdec40, 
>>     sigmask=sigmask@entry=0x0) at ../sysdeps/unix/sysv/linux/pselect.c:77
>> #1  0x00000000005cedcd in xg_select (fds_lim=14, 
>>     rfds=rfds@entry=0x7ffe77cdee00, wfds=wfds@entry=0x7ffe77cdee80, 
>>     efds=efds@entry=0x0, timeout=timeout@entry=0x7ffe77cdec40, 
>>     sigmask=sigmask@entry=0x0) at xgselect.c:113
>> #2  0x0000000000599361 in wait_reading_process_output (
>>     time_limit=time_limit@entry=0, nsecs=nsecs@entry=0, 
>>     read_kbd=read_kbd@entry=-1, do_display=true, 
>>     wait_for_cell=wait_for_cell@entry=0, wait_proc=wait_proc@entry=0x0, 
>>     just_wait_proc=just_wait_proc@entry=0) at process.c:4842
>> #3  0x00000000004f4885 in kbd_buffer_get_event (end_time=0x0, 
>>     used_mouse_menu=0x7ffe77cdf6eb, kbp=<synthetic pointer>) at keyboard.c:3805

> This says that Emacs waits for you to type something.  I don't see any
> signs of lack of responsiveness here.
>
> Are you sure you see no question in the minibuffer at this point?

Yes.  I just did it again to be extra sure.

Then I clicked in the echo area, which caused the *Messages* buffer to
appear, and the last line says "Quit this Ediff session? (y or n) y".

As before, mouse input is complete normal; I can activate menu items,
drag the mode line for the upper window around to resize it, etc, but no
keyboard input registers.  In particular typing C-g a bunch of times has
no effect, nor does C-x C-c after that.

For completeness, in case this wasn't captured in my original bug
report, I'll mention that during these experiments I'm running Emacs on
Ubuntu inside of a VirtualBox instance on a Mac.  There's one other
Emacs-related peculiarity I notice only in this environment: whenever I
start Emacs and desktop-save-mode is restoring my buffers (which takes
much longer than elsewhere for a comparable number of buffers), the
entire system slows to a crawl.